Create payout

Create a payout from a payout config. The merchant, the payout receiver, and the payout receiver's payment method status must be ACTIVE.

This endpoint requires the platform to be approved for the Payouts integration.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request to create a payout from a payout config to an onboarded payout receiver. The merchant's balance is debited and the funds are sent to the payout receiver's payment method.

string
required

The unique payout config identifier.

Prefix is "pyc" in production and "sbx_pyc" in sandbox.

string

The unique payout receiver identifier.

Prefix is "rcv" in production and "sbx_rcv" in sandbox.

string
required

The unique payout receiver payment method identifier that associates the payout receiver to the payment method.

Prefix is "rpm" in production and "sbx_rpm" in sandbox.

string
enum

The category of the payout.

Allowed:
string
enum
Defaults to ACH

The payout rail.

Allowed:
integer
required
≥ 1

The amount of the payout, in minor units.

For example, 150000 is 1,500.00 USD.

string
enum
required
length between 3 and 3

Three-letter ISO currency code, in uppercase. Currently, only USD is supported.

Allowed:
date

The requested date to process the payout, in ISO 8601 format (YYYY-MM-DD). The payout will be scheduled to process on the next available date relative to the requested date and returned in the scheduled_payout_date. When omitted, the payout is scheduled to process at the earliest available date.

metadata
object

Valid JSON key-value object specified by the platform to store additional information. Do not use the metadata field to store sensitive or confidential data.

Metadata must be less than 8 KB in size.

Headers
string
enum
Defaults to 2024-10-16
Allowed:
Responses

Language
Credentials
Bearer
APIKey
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json